Skip to main content
`Ctrl`+`K`

# TaoLineSearchViewFromOptions

View a `TaoLineSearch` object based on values in the options database

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchViewFromOptions(TaoLineSearch A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `Tao` context

- obj - Optional object

- name - command line option

## Note

See `PetscObjectViewFromOptions()` for available viewer options

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchView()`, `PetscObjectViewFromOptions()`, `TaoLineSearchCreate()`

## Level

intermediate

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages